export class Action {
  constructor(name, scene) {
    this.name = name;
    this.scene = scene;
  }

  async log(src, dest, msg, obj, symbol = '->>') {
    if (this.scene.sequence) {
      await this.scene.sequence.log(
        `${src.name} ${symbol} ${dest.name} : ${this.name} ${msg ?? ''} ${
          JSON.stringify(obj) ?? ''
        }`,
      );
    }
  }
}
